summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Giorgio Peron <giorgio.peron@gmail.com>2012-04-08 10:44:00 -0400
committer dsomero <xgizzmo@slackbuilds.org>2012-04-08 10:44:00 -0400
commitc77008d26af58837293699d2b22665ab64a66b08 (patch)
treec9345c3553d0493af75c82d3d85ba0a1c95eec4a
parentae440552097271383648dff005a882168115e0da (diff)
downloadslackbuilds-c77008d26af58837293699d2b22665ab64a66b08.tar.gz
slackbuilds-c77008d26af58837293699d2b22665ab64a66b08.tar.xz
graphics/Alchemy: Added (sketching environment)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--graphics/Alchemy/Alchemy.SlackBuild96
-rw-r--r--graphics/Alchemy/Alchemy.info10
-rw-r--r--graphics/Alchemy/README5
-rw-r--r--graphics/Alchemy/doinst.sh9
-rw-r--r--graphics/Alchemy/files/Alchemy.desktop10
-rw-r--r--graphics/Alchemy/files/alchemy9
-rw-r--r--graphics/Alchemy/files/alchemy-logo64.pngbin0 -> 5133 bytes
-rw-r--r--graphics/Alchemy/files/alchemyOpenGL9
-rw-r--r--graphics/Alchemy/slack-desc19
9 files changed, 167 insertions, 0 deletions
diff --git a/graphics/Alchemy/Alchemy.SlackBuild b/graphics/Alchemy/Alchemy.SlackBuild
new file mode 100644
index 0000000000..11465e645c
--- /dev/null
+++ b/graphics/Alchemy/Alchemy.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for Alchemy
+
+# Copyright 2012 Giorgio Peron Campodarsego, PD, Italy giorgio.peron@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Alchemy
+VERSION=${VERSION:-008}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/Alchemy-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -r {modules,shapes} $PKG/usr/share/$PRGNAM
+cp {Alchemy,Alchemy.jar,AlchemyOpenGL} $PKG/usr/share/$PRGNAM
+mkdir -p $PKG/lib$LIBDIRSUFFIX
+cp lib/libjpen-2-2-$ARCH.so $PKG/lib$LIBDIRSUFFIX/
+mkdir -p $PKG/usr/bin
+cp $CWD/files/{alchemy,alchemyOpenGL} $PKG/usr/bin
+chmod +x $PKG/usr/bin/*
+
+# Add a desktop menu entry
+mkdir -p $PKG/usr/share/applications
+cat $CWD/files/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+mkdir -p $PKG/usr/share/icons/hicolor/64x64/apps
+cat $CWD/files/alchemy-logo64.png > $PKG/usr/share/icons/hicolor/64x64/apps/alchemy.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING Alchemy.pdf ReadMe.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/Alchemy/Alchemy.info b/graphics/Alchemy/Alchemy.info
new file mode 100644
index 0000000000..99758cfff2
--- /dev/null
+++ b/graphics/Alchemy/Alchemy.info
@@ -0,0 +1,10 @@
+PRGNAM="Alchemy"
+VERSION="008"
+HOMEPAGE="http://al.chemy.org/"
+DOWNLOAD="http://al.chemy.org/files/Alchemy-008.tar.gz"
+MD5SUM="c900de439c3c2faf9abe17b6f6a55720"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Giorgio Peron"
+EMAIL="giorgio.peron@gmail.com"
+APPROVED="dsomero"
diff --git a/graphics/Alchemy/README b/graphics/Alchemy/README
new file mode 100644
index 0000000000..45a3b45bf7
--- /dev/null
+++ b/graphics/Alchemy/README
@@ -0,0 +1,5 @@
+Alchemy is an open drawing project aimed at exploring how we can sketch, draw,
+and create on computers in new ways. Alchemy isn’t software for creating
+finished artwork, but rather a sketching environment that focuses on the
+absolute initial stage of the creation process.
+
diff --git a/graphics/Alchemy/doinst.sh b/graphics/Alchemy/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/graphics/Alchemy/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/Alchemy/files/Alchemy.desktop b/graphics/Alchemy/files/Alchemy.desktop
new file mode 100644
index 0000000000..2dc272c8db
--- /dev/null
+++ b/graphics/Alchemy/files/Alchemy.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Terminal=false
+Icon=alchemy
+Type=Application
+Categories=Graphic;
+TryExec=alchemy
+Exec=alchemy
+Name=Alchemy
+Comment=Sketching tool
diff --git a/graphics/Alchemy/files/alchemy b/graphics/Alchemy/files/alchemy
new file mode 100644
index 0000000000..bdd1b87328
--- /dev/null
+++ b/graphics/Alchemy/files/alchemy
@@ -0,0 +1,9 @@
+#!/bin/sh
+#cd `dirname $0`
+cd /usr/share/Alchemy
+if [ -n "$JAVA_HOME" ]; then
+ $JAVA_HOME/bin/java -jar ./Alchemy.jar $*
+else
+ java -jar ./Alchemy.jar $*
+fi
+cd $OLDPWD
diff --git a/graphics/Alchemy/files/alchemy-logo64.png b/graphics/Alchemy/files/alchemy-logo64.png
new file mode 100644
index 0000000000..335b7be7de
--- /dev/null
+++ b/graphics/Alchemy/files/alchemy-logo64.png
Binary files differ
diff --git a/graphics/Alchemy/files/alchemyOpenGL b/graphics/Alchemy/files/alchemyOpenGL
new file mode 100644
index 0000000000..3239e0cddf
--- /dev/null
+++ b/graphics/Alchemy/files/alchemyOpenGL
@@ -0,0 +1,9 @@
+#!/bin/sh
+#cd `dirname $0`
+cd /usr/share/Alchemy
+if [ -n "$JAVA_HOME" ]; then
+ $JAVA_HOME/bin/java -client -Xmx256m -Dsun.java2d.opengl=true -jar ./Alchemy.jar $*
+else
+ java -client -Xmx256m -Dsun.java2d.opengl=true -jar ./Alchemy.jar $*
+fi
+cd $OLDPWD \ No newline at end of file
diff --git a/graphics/Alchemy/slack-desc b/graphics/Alchemy/slack-desc
new file mode 100644
index 0000000000..58f8c48f58
--- /dev/null
+++ b/graphics/Alchemy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Alchemy: Alchemy (sketching environment)
+Alchemy:
+Alchemy: Alchemy is an open drawing project aimed at exploring how we can
+Alchemy: sketch, draw, and create on computers in new ways. Alchemy isn’t
+Alchemy: software for creating finished artwork, but rather a sketching
+Alchemy: environment that focuses on the absolute initial stage of the
+Alchemy: creation process.
+Alchemy:
+Alchemy:
+Alchemy: Homepage: http://al.chemy.org/
+Alchemy: